Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from

Start timestamp for the query range (inclusive)

to

End timestamp for the query range (exclusive)

timeStep
enum<string>

The time step to aggregate viewership metrics by

Available options:
hour,
day,
week,
month,
year
assetId
string

The asset ID to filter metrics for

streamId
string

The stream ID to filter metrics for

creatorId
string

The creator ID to filter the query results

breakdownBy[]
enum<string>[]

The list of fields to break down the query results. Specify this query-string multiple times to break down by multiple fields.

Available options:
deviceType,
device,
cpu,
os,
browser,
browserEngine,
continent,
country,
subdivision,
timezone,
viewerId

Response

A list of Metric objects

viewCount
integer
required

The number of views for the stream/asset.

Example:

100

playtimeMins
number
required

The total playtime in minutes for the stream/asset.

Example:

10

playbackId
string

The playback ID associated with the metric.

Example:

"1bde4o2i6xycudoy"

creatorId
string

The ID of the creator associated with the metric.

Example:

"john@doe.com"

viewerId
string

The ID of the viewer associated with the metric.

Example:

"1bde4o2i6xycudoy"

dStorageUrl
string

The URL of the distributed storage used for the asset

Example:

"ipfs://QmZ4"

timestamp
number

Timestamp (in milliseconds) when the metric was recorded. If the query contains a time step, this timestamp will point to the beginning of the time step period.

Example:

1587667174725

device
string

The device used by the viewer.

Example:

"iPhone"

deviceType
string

The type of the device used by the viewer.

Example:

"mobile"

cpu
string

The CPU used by the viewer's device.

Example:

"ARM"

os
string

The operating system used by the viewer.

Example:

"iOS"

browser
string

The browser used by the viewer.

Example:

"Safari"

browserEngine
string

The browser engine used by the viewer's browser.

Example:

"WebKit"

continent
string

The continent where the viewer is located.

Example:

"North America"

country
string

The country where the viewer is located.

Example:

"United States"

subdivision
string

The subdivision (e.g., state or province) where the viewer is located.

Example:

"California"

timezone
string

The timezone where the viewer is located.

Example:

"America/Los_Angeles"

geohash
string

Geographic encoding of the viewers location. Accurate to 3 digits.

Example:

123

ttffMs
number

The time-to-first-frame (TTFF) in milliseconds.

Example:

100

rebufferRatio
number

The rebuffering ratio for the asset.

Example:

0.1

errorRate
number

The error rate for the stream/asset.

Example:

0.1

exitsBeforeStart
number

The percentage of sessions that existed before the asset started playing.

Example:

0.5

Last modified on March 18, 2026